unit USeminario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Mask, DBCtrls, DB, ADODB, Buttons, Grids,
  DBGrids, ExtCtrls, DBTables;

type
  TFormGETB = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    ADOConnectionGETB: TADOConnection;
    ADOTableGETB: TADOTable;
    DataSourceGETB: TDataSource;
    ADOTableGETBNome: TWideStringField;
    ADOTableGETBEndereo: TWideStringField;
    ADOTableGETBBairro: TWideStringField;
    ADOTableGETBDDD: TWideStringField;
    ADOTableGETBTelefone: TWideStringField;
    ADOTableGETBAlmoo: TWideStringField;
    ADOTableGETBpagamento: TWideStringField;
    ADOTableGETBCamisa: TWideStringField;
    ADOTableGETBData: TDateTimeField;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    DBEdit1: TDBEdit;
    Label3: TLabel;
    DBEdit2: TDBEdit;
    Label4: TLabel;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    StatusBar1: TStatusBar;
    Label10: TLabel;
    BitBtnSair: TBitBtn;
    Label11: TLabel;
    Label1: TLabel;
    Label12: TLabel;
    ValorCampo: TEdit;
    BitBtnRelatorios: TBitBtn;
    BitBtnPesquisar: TBitBtn;
    BitBtnCalculadora: TBitBtn;
    ADOTableGETBSenha: TAutoIncField;
    Timer1: TTimer;
    DBComboBoxAlmoco: TDBComboBox;
    Label6: TLabel;
    Label7: TLabel;
    DBComboBoxPagamento: TDBComboBox;
    Label8: TLabel;
    DBComboBoxCamisa: TDBComboBox;
    Label9: TLabel;
    DBEditHora: TDBEdit;
    ADOTableGETBAlmoosim: TWideStringField;
    Label14: TLabel;
    Remover: TDBNavigator;
    Novo: TDBNavigator;
    Salvar: TDBNavigator;
    Cancelar: TDBNavigator;
    Navegacao: TDBNavigator;
    Editar: TDBNavigator;
    Atualizar: TDBNavigator;
    BitBtn1: TBitBtn;
    Label13: TLabel;
    DBEdit6: TDBEdit;
    procedure BitBtnSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtnRemoverClick(Sender: TObject);
    procedure BitBtnPesquisarClick(Sender: TObject);
    procedure BitBtnCalculadoraClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Timer1Timer(Sender: TObject);
    procedure BitBtnRelatoriosClick(Sender: TObject);
    procedure BitBtnAtualizarClick(Sender: TObject);
    procedure RemoverBeforeAction(Sender: TObject;
      Button: TNavigateBtn);
    procedure NovoClick(Sender: TObject; Button: TNavigateBtn);
    procedure SalvarClick(Sender: TObject; Button: TNavigateBtn);
    procedure CancelarClick(Sender: TObject; Button: TNavigateBtn);
    procedure DBEdit1Click(Sender: TObject);
    procedure EditarClick(Sender: TObject; Button: TNavigateBtn);
    procedure DBEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit3KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit4KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit5KeyPress(Sender: TObject; var Key: Char);
    procedure DBComboBoxAlmocoKeyPress(Sender: TObject; var Key: Char);
    procedure DBComboBoxPagamentoKeyPress(Sender: TObject; var Key: Char);
    procedure DBComboBoxCamisaKeyPress(Sender: TObject; var Key: Char);
    procedure DBEditHoraKeyPress(Sender: TObject; var Key: Char);
    procedure ADOTableGETBBeforePost(DataSet: TDataSet);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormGETB: TFormGETB;

implementation

uses URelatorio;

{$R *.dfm}

procedure TFormGETB.BitBtnSairClick(Sender: TObject);
begin
close
end;

procedure TFormGETB.FormShow(Sender: TObject);
begin
Novo.SetFocus;
ADOTableGETB.Open;
ADOTableGETB.Append;
Novo.Enabled:=True;
Salvar.Enabled:=False;
Cancelar.Enabled:=False;
Remover.Enabled:=True;
DBEdit6.Enabled:=False;

DBEdit1.Enabled:=False;
DBEdit2.Enabled:=False;
DBEdit3.Enabled:=False;
DBEdit4.Enabled:=False;
DBEdit5.Enabled:=False;

DBComboBoxAlmoco.Enabled:=False;
DBComboBoxPagamento.Enabled:=False;
DBComboBoxCamisa.Enabled:=False;
DBEditHora.Enabled:=False;

end;

procedure TFormGETB.BitBtnRemoverClick(Sender: TObject);
begin
ADOTableGETB.Delete;
end;

procedure TFormGETB.BitBtnPesquisarClick(Sender: TObject);
begin
if not ADOTableGETB.Locate('Nome',ValorCampo.Text,[loCaseInsensitive,loPartialKey]) then
Showmessage(' Nome no Cadastrado, digite os primeiros nomes obedecendo a acentuao! ');
end;

procedure TFormGETB.BitBtnCalculadoraClick(Sender: TObject);
begin
 WinExec ('Calc.exe',SW_Show);
end;

procedure TFormGETB.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
if Application.MessageBox( 'Deseja realmente sair do Sistema?','  Sair',MB_YESNO + MB_ICONQUESTION + MB_DEFBUTTON2)= IDNO then
  Canclose:=False;
end;

procedure TFormGETB.Timer1Timer(Sender: TObject);
begin
  StatusBar1.Panels[2].Text:='Hora Atual'+FormatDateTime(  '   hh:nn:ss',now); // hora,minuto e segundos
  StatusBar1.Panels[1].Text:=''+FormatDateTime('dddd",  " dd" de "mmmm" de "yyyy',now); // dia por extenso, dia, ms e ano
  StatusBar1.Panels[0].Text:='Grupo Esprita Trabalhadores do Bem'
  end;

procedure TFormGETB.BitBtnRelatoriosClick(Sender: TObject);
begin
FormRelatorios.ShowModal;
end;

procedure TFormGETB.BitBtnAtualizarClick(Sender: TObject);
begin
ADOTableGETB.Refresh;

end;

procedure TFormGETB.RemoverBeforeAction(Sender: TObject;
  Button: TNavigateBtn);
begin
if Application.MessageBox('Deseja Realmente excluir esse participante?','Excluir',
MB_YESNO + MB_ICONQUESTION + MB_DEFBUTTON2) = IDNO then
Abort;

end;

procedure TFormGETB.NovoClick(Sender: TObject; Button: TNavigateBtn);
begin
DBEdit1.Enabled:=True;
DBEdit1.SetFocus;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
Remover.Enabled:=False;
Navegacao.Enabled:=False;
ValorCampo.Enabled:=False;
BitBtnPesquisar.Enabled:=False;
BitBtnSair.Enabled:=False;
BitBtnRelatorios.Enabled:=False;
Atualizar.Enabled:=False;


DBEdit1.Enabled:=True;
DBEdit2.Enabled:=True;
DBEdit3.Enabled:=True;
DBEdit4.Enabled:=True;
DBEdit5.Enabled:=True;
DBComboBoxAlmoco.Enabled:=True;
DBComboBoxPagamento.Enabled:=True;
DBComboBoxCamisa.Enabled:=True;
DBEditHora.Enabled:=True;

end;

procedure TFormGETB.SalvarClick(Sender: TObject; Button: TNavigateBtn);
begin
Novo.Enabled:=True;
Salvar.Enabled:=False;
Cancelar.Enabled:=False;
Remover.Enabled:=True;
Navegacao.Enabled:=True;
ValorCampo.Enabled:=True;
BitBtnPesquisar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnRelatorios.Enabled:=True;
Atualizar.Enabled:=True;

DBEdit1.Enabled:=False;
DBEdit2.Enabled:=False;
DBEdit3.Enabled:=False;
DBEdit4.Enabled:=False;
DBEdit5.Enabled:=False;
DBEdit6.Enabled:=False;
DBComboBoxAlmoco.Enabled:=False;
DBComboBoxPagamento.Enabled:=False;
DBComboBoxCamisa.Enabled:=False;
DBEditHora.Enabled:=False;
end;

procedure TFormGETB.CancelarClick(Sender: TObject; Button: TNavigateBtn);
begin
 Novo.Enabled:=True;
Salvar.Enabled:=False;
Cancelar.Enabled:=False;
Remover.Enabled:=True;
Navegacao.Enabled:=True;
ValorCampo.Enabled:=True;
BitBtnPesquisar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnRelatorios.Enabled:=True;
DBComboBoxAlmoco.Enabled:=True;
DBComboBoxPagamento.Enabled:=True;
DBComboBoxCamisa.Enabled:=True;
DBEditHora.Enabled:=True;
Atualizar.Enabled:=True;

DBEdit1.Enabled:=False;
DBEdit2.Enabled:=False;
DBEdit3.Enabled:=False;
DBEdit4.Enabled:=False;
DBEdit5.Enabled:=False;
DBEdit6.Enabled:=False;
DBComboBoxAlmoco.Enabled:=False;
DBComboBoxPagamento.Enabled:=False;
DBComboBoxCamisa.Enabled:=False;
DBEditHora.Enabled:=False;
end;

procedure TFormGETB.DBEdit1Click(Sender: TObject);
begin
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
Novo.Enabled:=False;
Remover.Enabled:=False;
Navegacao.Enabled:=False;
BitBtnSair.Enabled:=False;
BitBtnPesquisar.Enabled:=False;
ValorCampo.Enabled:=False;
end;

procedure TFormGETB.EditarClick(Sender: TObject; Button: TNavigateBtn);
begin


DBEdit1.Enabled:=True;
DBEdit2.Enabled:=True;
DBEdit3.Enabled:=True;
DBEdit4.Enabled:=True;
DBEdit5.Enabled:=True;
DBEdit6.Enabled:=False;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
Remover.Enabled:=False;
Navegacao.Enabled:=False;
DBComboBoxAlmoco.Enabled:=True;
DBComboBoxPagamento.Enabled:=True;
DBComboBoxCamisa.Enabled:=True;
DBEditHora.Enabled:=True;
BitBtnSair.Enabled:=False;
BitBtnPesquisar.Enabled:=False;
ValorCampo.Enabled:=False;
Atualizar.Enabled:=False;
BitBtnRelatorios.Enabled:=False;
end;

procedure TFormGETB.DBEdit1KeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBEdit2KeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBEdit3KeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBEdit4KeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBEdit5KeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBComboBoxAlmocoKeyPress(Sender: TObject;
  var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBComboBoxPagamentoKeyPress(Sender: TObject;
  var Key: Char);
begin
 if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBComboBoxCamisaKeyPress(Sender: TObject;
  var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.DBEditHoraKeyPress(Sender: TObject; var Key: Char);
begin
if (Key=#13) then
begin
Key:=#0;
SelectNext((Sender as TWinControl),True,True);

end;

end;

procedure TFormGETB.ADOTableGETBBeforePost(DataSet: TDataSet);

begin
If DBEdit1.Text ='' then //nada foi digitado
Begin
ShowMessage('Digite o Nome do Participante');
DBEdit1.SetFocus;
Abort; // no grava e continua editando
end;

begin
If DBComboBoxAlmoco.Text ='' then //nada foi digitado
Begin
ShowMessage('Escolha almoo SIM ou NO');
DBComboBoxAlmoco.SetFocus;
Abort; // no grava e continua editando

end;
begin
If DBComboBoxPagamento.Text ='' then //nada foi digitado
Begin
ShowMessage('Escolha Pagamento SIM, NO ou PENDENTE');
DBComboBoxPagamento.SetFocus;
Abort; // no grava e continua editando
end;

begin
If DBComboBoxCamisa.Text ='' then //nada foi digitado
Begin
ShowMessage('Escolha o Tamanho da Camisa P, PP, M, G, GG ou EG');
DBComboBoxCamisa.SetFocus;
Abort; // no grava e continua editando
end;
end;
end;
end;
end;
procedure TFormGETB.BitBtn1Click(Sender: TObject);
begin
Winexec('notepad.exe',sw_Show);
end;

end.
